rm(list=ls())

#charger le package
library(arules)

#charger le fichier de donnes
setwd("D:/DataMining/Databases_for_mining/comparison_TOW/association_rule")
german <- read.table(file="credit-german.txt",header=T,dec=".",sep="\t")
summary(german)

#transformer les donnes attributs-variables
#en donnes transactionnelles
german.trans <- as(german,"transactions")
summary(german.trans)

#extraction des rgles
german.regles <- apriori(german.trans,parameter=
                 list(supp=0.25,conf=0.75,minlen=2,maxlen=10,target="rules"))
summary(german.regles)

#afficher les 10 premires rgles trouves
inspect(german.regles[1:10])

#afficher les 5 rgles avec le lift le + lev
regles.triees <- sort(german.regles,by="lift")
inspect(regles.triees[1:5])

